/*-----------------------------------------------------------------------------
-- print.c
--
-- Copyright CERN, 2021
-- This source describes Open Hardware and is licensed under the
-- CERN-OHL-S v2
-- Source location: https://ohwr.org/project/pxie-ctl-comexpress-tst
-- designed by INCAA Computers
-----------------------------------------------------------------------------*/

#include <stdio.h>
#include <string.h>
#include "print.h"
#include "version.h"
#include "tFPGA_app.h"

#include "xparameters.h"
#include "xil_printf.h"
#include "xuartlite_l.h"

void print_Splash()
{
	uint32_t versionDate = VERSION;
	uint8_t verParts[5];

	for (int i=0; i<5; i++) {
		verParts[i] = versionDate % 100;
		versionDate /= 100;
	}
	xil_printf("*----- %s %s (%d-%d-%d %d:%d) -----\n\r", APP_MANUFACTURER, APP_INSTRUMENT, verParts[4]+2000, verParts[3], verParts[2], verParts[1], verParts[0]);
}

void print_Mem(uint8_t *buf, int len)
{
	for(int n=0; n<len; n++) {
		if (n%16 == 0) {
			if (n) {
				xil_printf("\n\r");
			}
			xil_printf("0x%02X", (u8)buf[n]);
		}
		else {
			xil_printf(" %02X", (u8)buf[n]);
		}
	}
	xil_printf("\n\r");
}

