/*-----------------------------------------------------------------------------
-- version.h
--
-- Copyright CERN, 2021
-- This source describes Open Hardware and is licensed under the
-- CERN-OHL-S v2
-- Source location: https://ohwr.org/project/pxie-ctl-comexpress-tst
-- designed by INCAA Computers
-----------------------------------------------------------------------------*/

#ifndef SRC_VERSION_H_
#define SRC_VERSION_H_

#define DATE_TODAY 	__DATE__
#define TIME_NOW	__TIME__

#define DATE_YEAR ((((DATE_TODAY [7] - '0') * 10 + \
		(DATE_TODAY [8] - '0')) * 10 + \
		(DATE_TODAY [9] - '0')) * 10 + \
		(DATE_TODAY [10] - '0'))

#define DATE_MONTH (DATE_TODAY [2] == 'n' ? (DATE_TODAY [1] == 'a' ? 1 : 6) \
        : DATE_TODAY [2] == 'b' ? 2 \
        : DATE_TODAY [2] == 'r' ? (DATE_TODAY [0] == 'M' ? 3 : 4) \
        : DATE_TODAY [2] == 'y' ? 5 \
        : DATE_TODAY [2] == 'l' ? 7 \
        : DATE_TODAY [2] == 'g' ? 8 \
        : DATE_TODAY [2] == 'p' ? 9 \
        : DATE_TODAY [2] == 't' ? 10 \
        : DATE_TODAY [2] == 'v' ? 11 : 12)

#define DATE_DAY ((DATE_TODAY [4] == ' ' ? 0 \
		: DATE_TODAY [4] - '0') * 10 + \
		(DATE_TODAY [5] - '0'))

#define TIME_HOUR (((TIME_NOW [0] - '0') * 10) + (TIME_NOW [1] - '0'))
#define TIME_MIN (((TIME_NOW [3] - '0') * 10) + (TIME_NOW [4] - '0'))
#define TIME_SEC (((TIME_NOW [6] - '0') * 10) + (TIME_NOW [7] - '0'))

#define BUILD_AS_INT ( ((DATE_YEAR - 2000) * 100000000) + \
						(DATE_MONTH * 1000000) + \
						(DATE_DAY * 10000) + \
						(TIME_HOUR * 100) + (TIME_MIN) )

#define VERSION BUILD_AS_INT

#endif /* SRC_VERSION_H_ */
