-- (c) Copyright 1995-2021 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: xilinx.com:module_ref:t_gpio_interface:1.0
-- IP Revision: 1

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY design_tFPGA_t_gpio_interface_0_0 IS
  PORT (
    s_axi_aclk : IN STD_LOGIC;
    s_axi_aresetn : IN STD_LOGIC;
    gpio_i_pxi : OUT STD_LOGIC_VECTOR(13 DOWNTO 0);
    gpio_o_pxi : IN STD_LOGIC_VECTOR(13 DOWNTO 0);
    gpio_t_pxi : IN STD_LOGIC_VECTOR(13 DOWNTO 0);
    gpio2_pxi : OUT STD_LOGIC_VECTOR(5 DOWNTO 0);
    gpio_cex : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
    gpio2_cex : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    gpio_pxi_star : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    pxi_trig : INOUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    pxi_trig7aux : INOUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    pxi_lbr6 : INOUT STD_LOGIC;
    pxi_ga : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
    pxi_star : IN STD_LOGIC;
    trig_in : IN STD_LOGIC;
    trig_out : OUT STD_LOGIC;
    trig_oe : OUT STD_LOGIC;
    trig_tsel : OUT STD_LOGIC;
    fpga_gpo : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    fpga_gpo_sel_N : OUT STD_LOGIC;
    fpga_gpi : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
    test : OUT STD_LOGIC_VECTOR(2 DOWNTO 1)
  );
END design_tFPGA_t_gpio_interface_0_0;

ARCHITECTURE design_tFPGA_t_gpio_interface_0_0_arch OF design_tFPGA_t_gpio_interface_0_0 IS
  ATTRIBUTE DowngradeIPIdentifiedWarnings : STRING;
  ATTRIBUTE DowngradeIPIdentifiedWarnings OF design_tFPGA_t_gpio_interface_0_0_arch: ARCHITECTURE IS "yes";
  COMPONENT t_gpio_interface IS
    PORT (
      s_axi_aclk : IN STD_LOGIC;
      s_axi_aresetn : IN STD_LOGIC;
      gpio_i_pxi : OUT STD_LOGIC_VECTOR(13 DOWNTO 0);
      gpio_o_pxi : IN STD_LOGIC_VECTOR(13 DOWNTO 0);
      gpio_t_pxi : IN STD_LOGIC_VECTOR(13 DOWNTO 0);
      gpio2_pxi : OUT STD_LOGIC_VECTOR(5 DOWNTO 0);
      gpio_cex : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
      gpio2_cex : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
      gpio_pxi_star : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
      pxi_trig : INOUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      pxi_trig7aux : INOUT STD_LOGIC_VECTOR(2 DOWNTO 0);
      pxi_lbr6 : INOUT STD_LOGIC;
      pxi_ga : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
      pxi_star : IN STD_LOGIC;
      trig_in : IN STD_LOGIC;
      trig_out : OUT STD_LOGIC;
      trig_oe : OUT STD_LOGIC;
      trig_tsel : OUT STD_LOGIC;
      fpga_gpo : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
      fpga_gpo_sel_N : OUT STD_LOGIC;
      fpga_gpi : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
      test : OUT STD_LOGIC_VECTOR(2 DOWNTO 1)
    );
  END COMPONENT t_gpio_interface;
  ATTRIBUTE X_INTERFACE_INFO : STRING;
  ATTRIBUTE X_INTERFACE_PARAMETER : STRING;
  ATTRIBUTE X_INTERFACE_PARAMETER OF s_axi_aresetn: SIGNAL IS "XIL_INTERFACENAME s_axi_aresetn, POLARITY ACTIVE_LOW";
  ATTRIBUTE X_INTERFACE_INFO OF s_axi_aresetn: SIGNAL IS "xilinx.com:signal:reset:1.0 s_axi_aresetn RST";
  ATTRIBUTE X_INTERFACE_PARAMETER OF s_axi_aclk: SIGNAL IS "XIL_INTERFACENAME s_axi_aclk, ASSOCIATED_RESET s_axi_aresetn, FREQ_HZ 100000000, PHASE 0.0, CLK_DOMAIN /clk_wiz_0_clk_out1";
  ATTRIBUTE X_INTERFACE_INFO OF s_axi_aclk: SIGNAL IS "xilinx.com:signal:clock:1.0 s_axi_aclk CLK";
BEGIN
  U0 : t_gpio_interface
    PORT MAP (
      s_axi_aclk => s_axi_aclk,
      s_axi_aresetn => s_axi_aresetn,
      gpio_i_pxi => gpio_i_pxi,
      gpio_o_pxi => gpio_o_pxi,
      gpio_t_pxi => gpio_t_pxi,
      gpio2_pxi => gpio2_pxi,
      gpio_cex => gpio_cex,
      gpio2_cex => gpio2_cex,
      gpio_pxi_star => gpio_pxi_star,
      pxi_trig => pxi_trig,
      pxi_trig7aux => pxi_trig7aux,
      pxi_lbr6 => pxi_lbr6,
      pxi_ga => pxi_ga,
      pxi_star => pxi_star,
      trig_in => trig_in,
      trig_out => trig_out,
      trig_oe => trig_oe,
      trig_tsel => trig_tsel,
      fpga_gpo => fpga_gpo,
      fpga_gpo_sel_N => fpga_gpo_sel_N,
      fpga_gpi => fpga_gpi,
      test => test
    );
END design_tFPGA_t_gpio_interface_0_0_arch;
