#!/bin/sh

# Copyright CERN, 2021-2022
# This source describes Open Hardware and is licensed under the
# CERN-OHL-W-2.0+
# Source location: https://ohwr.org/project/pxie-ctl-comexpress
# designed by INCAA Computers

LOGDIR=./log_pxiecome

mkdir -p $LOGDIR
sudo rm -fr $LOGDIR/pts*

serial=$1
if [ x$1 = x"" ]; then
	echo -n "Please, input SERIAL number: "
        read serial
fi

extra_serial=$2
if [ x$2 = x"" ]; then
	echo -n "Please, input extra SERIAL number: "
        read extra_serial
fi

if [ x$extra_serial = x"" ]; then
	extra_serial=0000
fi

# Assemble pts.py call with parameters for SPEC
cmd="sudo python ./pts.py -b PXIeCOMe -s "$serial" -e "$extra_serial
cmd=$cmd" -t./test/pxiecome/python -l "$LOGDIR" 00 01 02 03 04 05 06 07 08 09 10 11"

# Execute pts.py
$cmd

echo "--------------------------------------------------------------"
echo " "
echo -n "End of the test, do you want to switch the computer OFF? [y,n]"
read reply
if [ "$reply" = "y" ]
then
    sudo halt --poweroff
fi
